.\"     $NetBSD: sa_stacks.2,v 1.5 2004/12/12 01:09:44 yamt Exp $
.\"
.\" Copyright (c)2004 YAMAMOTO Takashi,
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" ------------------------------------------------------------
.Dd December 12, 2004
.Dt SA_STACKS 2
.Os
.Sh NAME
.Nm sa_stacks
.Nd register scheduler activation upcall stacks
.\" ------------------------------------------------------------
.Sh LIBRARY
.Lb libc
.\" ------------------------------------------------------------
.Sh SYNOPSIS
.In sa.h
.Ft int
.Fn sa_stacks \
    "int num" \
    "stack_t *stacks"
.\" ------------------------------------------------------------
.Sh DESCRIPTION
.Fn sa_stacks
is used to register scheduler activation upcall stacks.
.Fa stacks
is an array of
.Fa num
of
.Vt stack_t .
.Pp
An upcall handler should be registered by
.Fn sa_register
beforehand.
.\" ------------------------------------------------------------
.Sh RETURN VALUES
On success,
.Fn sa_stacks
returns the number of stacks registered.
Otherwise, a value of \-1 is returned and
.Va errno
is set to indicate the error.
.\" ------------------------------------------------------------
.Sh SEE ALSO
.Xr sa_register 2 ,
.Xr pthread 3
